Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.lang
[Java] Class GroovyRuntimeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  groovy.lang.GroovyRuntimeException

    public class GroovyRuntimeException
    extends RuntimeException

An exception thrown by the interpreter

Authors:
  James Strachan

Version:
  \$Revision: 8867 \$

Constructor Summary
`GroovyRuntimeException()`
`GroovyRuntimeException(String message)`
`GroovyRuntimeException(String message, ASTNode node)`
`GroovyRuntimeException(String message, Throwable cause)`
`GroovyRuntimeException(Throwable t)`

Method Summary
`protected String` | `getLocationText()`
`String` | `getMessage()`
`String` | `getMessageWithoutLocationText()`
`ModuleNode` | `getModule()`
`ASTNode` | `getNode()`
`void` | `setModule(ModuleNode module)`

Methods inherited from class RuntimeException
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressedException, getSuppressedExceptions, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Exception
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressedException, getSuppressedExceptions, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Throwable
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressedException, getSuppressedExceptions, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### GroovyRuntimeException

    public GroovyRuntimeException()

### GroovyRuntimeException

    public GroovyRuntimeException(String message)

### GroovyRuntimeException

    public GroovyRuntimeException(String message, ASTNode node)

### GroovyRuntimeException

    public GroovyRuntimeException(String message, Throwable cause)

### GroovyRuntimeException

    public GroovyRuntimeException(Throwable t)

Method Detail

### getLocationText

    protected String getLocationText()

### getMessage

    public String getMessage()

### getMessageWithoutLocationText

    public String getMessageWithoutLocationText()

### getModule

    public ModuleNode getModule()

### getNode

    public ASTNode getNode()

### setModule

    public void setModule(ModuleNode module)

Copyright © 2003-2010 The Codehaus. All rights reserved.